Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.shading
Interface ChannelMapNodeVisitor

All Superinterfaces:
  ChannelMapVisitor

All Known Implementing Classes:
  FluxChannelMapBuilder

    public interface ChannelMapNodeVisitor

extends ChannelMapVisitor

Method Summary
`void` | `visit(AffineUVTransformation affineUVTransformation)`
`void` | `visit(BumpMap bumpMap)`
`void` | `visit(Carpenter carpenter)`
`void` | `visit(ChannelBlend channelBlend)`
`void` | `visit(ChannelMapNode map)`
`void` | `visit(Checker checker)`
`void` | `visit(Filter filter)`
`void` | `visit(Gradient gradient)`
`void` | `visit(Granite granite)`
`void` | `visit(ImageMap imageMap)`
`void` | `visit(Julia julia)`
`void` | `visit(Laplace3D laplace3d)`
`void` | `visit(Leopard leopard)`
`void` | `visit(Mandel mandel)`
`void` | `visit(Smooth3D smooth3d)`
`void` | `visit(SunSkyLight sunSkyLight)`
`void` | `visit(Turbulence turbulence)`
`void` | `visit(VolumeChecker volumeChecker)`
`void` | `visit(VolumeFunction volumeFunction)`
`void` | `visit(VolumeTurbulence volumeTurbulence)`
`void` | `visit(Wood wood)`
`void` | `visit(XYZTransformation xyzTransformation)`

Methods inherited from interface de.grogra.math.ChannelMapVisitor
`visit, visit, visit`

Method Detail

### visit

    void visit(AffineUVTransformation affineUVTransformation)

### visit

    void visit(BumpMap bumpMap)

### visit

    void visit(Carpenter carpenter)

### visit

    void visit(ChannelBlend channelBlend)

### visit

    void visit(ChannelMapNode map)

### visit

    void visit(Checker checker)

### visit

    void visit(Filter filter)

### visit

    void visit(Gradient gradient)

### visit

    void visit(Granite granite)

### visit

    void visit(ImageMap imageMap)

### visit

    void visit(Julia julia)

### visit

    void visit(Laplace3D laplace3d)

### visit

    void visit(Leopard leopard)

### visit

    void visit(Mandel mandel)

### visit

    void visit(Smooth3D smooth3d)

### visit

    void visit(SunSkyLight sunSkyLight)

### visit

    void visit(Turbulence turbulence)

### visit

    void visit(VolumeChecker volumeChecker)

### visit

    void visit(VolumeFunction volumeFunction)

### visit

    void visit(VolumeTurbulence volumeTurbulence)

### visit

    void visit(Wood wood)

### visit

    void visit(XYZTransformation xyzTransformation)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD